Download it now!
Bug 107606 - New kind of table styles should not use fonts "Thorndale" and "Andale Sans UI"
Summary: New kind of table styles should not use fonts "Thorndale" and "Andale Sans UI"
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.2.2 release
Hardware: x86 (IA32) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 101349 Writer-Tables-Style
  Show dependency treegraph
 
Reported: 2017-05-03 21:09 UTC by Regina Henschel
Modified: 2019-11-13 13:42 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Table style "Elegant" applied (8.97 KB, application/vnd.oasis.opendocument.text)
2017-11-21 15:25 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-05-03 21:09:27 UTC
Insert a simple table in a Writer document. Apply the table style "Yellow" from the new category "Table" in the Style&Formatting dialog.

That writes the element <table:table-template> into file styles.xml. This references a <style:style> element with style-name="Yellow.1" of family "table.cell". Look into its text-properties. You will find the font "Thorndale" for western and "Andale Sans UI" for asian.

Both fonts are not available in a LibreOffice installation. Both fonts were used by Sun for StarOffice and StarSuite, not even OpenOffice.org had them. Therefore LibreOffice should not write these fonts into a template.
Comment 1 V Stuart Foote 2017-05-04 14:07:09 UTC
They are both seeded throughout the l10n versions of content.xml and styles.xml, assume Liberation Serif to be a viable replacement for Thorndale, and Liberation Sans would be acceptable replacement for Andale Sans UI (which actually had no CJK glyph coverage).
Comment 2 Gabriele Ponzo 2017-05-29 15:51:51 UTC
By the way it shouldn't be there :)

I confirm the same behavior in 5.3.2.1 and also in 5.4.0.0 beta1.
Comment 3 Yousuf Philips (jay) (retired) 2017-05-30 06:47:55 UTC
This will be resolved when the new set of default table styles are in (bug 101349), as this bug as been around in autoformat since forever.
Comment 4 Yousuf Philips (jay) (retired) 2017-11-21 09:58:22 UTC
The new set of default table styles are in and these fonts arent available in it.
Comment 5 Regina Henschel 2017-11-21 14:09:52 UTC Comment hidden (obsolete)
Comment 6 Heiko Tietze 2017-11-21 14:18:13 UTC
(In reply to Regina Henschel from comment #5)
> Elegant, font asian, has still Tahoma.

Elegant uses Liberation Sans.
Comment 7 Regina Henschel 2017-11-21 15:25:26 UTC
Created attachment 137895 [details]
Table style "Elegant" applied

Do you have enabled Tools > Options > Language Settings > Languages >  Asian?

If I apply that style to a table via Table > AutoFormat (where you can choose to include font), it writes
    style:font-name-asian="Tahoma" style:font-family-asian="Tahoma"
to the file, example attached.
Comment 8 Heiko Tietze 2017-11-21 15:49:46 UTC
Opens here with Liberation Sans whether I enable Asian or not. Looking into the content.xml there is no Thorndale or Andale defined.
Comment 9 Regina Henschel 2017-11-21 16:12:14 UTC
The table template is not in content.xml but in styles.xml. The styles are named "Elegant.1" to "Elegant.16". These are the table-cell styles, which are referenced by the template "Elegant".
A entire node is e.g.

<style:style style:name="Elegant.1" style:family="table-cell">
    <style:table-cell-properties fo:border-top="2.49pt solid #000000" fo:border-bottom="0.51pt solid #000000"/>
    <style:text-properties fo:font-weight="bold" style:font-name="Liberation Sans" fo:font-family="&apos;Liberation Sans&apos;" style:font-family-generic="swiss" style:font-size-asian="10.5pt" style:font-weight-asian="bold" style:font-name-asian="Tahoma" style:font-family-asian="Tahoma" style:font-weight-complex="bold" style:font-name-complex="FreeSans" style:font-family-complex="FreeSans"/>
</style:style>
Comment 10 Regina Henschel 2017-11-21 16:19:55 UTC
You are right, that there is no "Thornale" or "Andale Sans UI". But "Tahoma" is bad as well, because it is not a free font, but has a Microsoft license, and because it does not have the glyphs for Chinese.
Comment 11 Heiko Tietze 2017-11-21 17:01:07 UTC
No idea how we can get rid of this Tahoma reference. I definitely chose Liberation Sans in this table style.
Comment 12 Eike Rathke 2017-12-06 18:08:33 UTC
The current autotbl.fmt now uses Liberation Serif (and sometimes Liberation Sans, didn't investigate when or why) for Western, and DejaVu Sans for Asian and CTL which is equally wrong because it does not contain such glyphs. Probably because the creator hasn't activated CJK/CTL at all. However, applying such format with CJK/CTL enabled for me resulted in proper Source Han Sans CN Regular for Asian and Lohit Devanagari for CTL. Incidentally I saved a modified Financial table format with these instead of forcing them to DejaVu Sans again, so who wants can apply that and see if s/he spots any difference when using CJK/CTL cell content.
Comment 13 Timur 2018-11-12 16:05:43 UTC
There is no "Thornale" or "Andale Sans UI" not "Tahoma" with 6.1.
Cannot be tested with 6.2+, table styles missing. 
This bug needs a title rewrite per comment 12.
Comment 14 QA Administrators 2019-11-13 03:33:19 UTC Comment hidden (obsolete)
Comment 15 Regina Henschel 2019-11-13 13:42:06 UTC
I'll close it as "Worksforme". There are no longer Thorndale, Tahoma or 'Andale Sans UI'. In case there are problems with Asian or CTL, that should be reported in a new bug report.